<template>
  <b-container fluid class="my-5 py-5">
    <b-container>
      <b-row>
        <b-col>
          <div class="text-center">
            <h2 class="font-weight-bold">
              Katalog Kelas
            </h2>
            <p class="text-secondary mt-3">
              Jangan mau kalah update dengan yang lainnya. <br>
              Yuk ikuti perkembangan teknologi.
            </p>
          </div>
          <div class="d-flex justify-content-center my-5">
            <b-col cols="12" md="5">
              <b-input-group prepend="Cari Kelas">
                <b-form-input />
              </b-input-group>
            </b-col>
          </div>
          <div class="text-center my-5">
            <span class="text-secondary"> By Category: </span>
            <b-button variant="transparent" class="bg-info text-white">
              SEMUA
            </b-button>
            <b-button variant="transparent" class="bg-info text-white">
              DESIGN
            </b-button>
            <b-button variant="transparent" class="bg-info text-white">
              DEVELOPMENT
            </b-button>
            <b-button variant="transparent" class="bg-info text-white">
              SOFT SKILL
            </b-button>
          </div>
          <div class="d-flex justify-content-center">
            <b-card style="max-width: 40rem;" class="rounded">
              <h6 class="font-weight-bold">
                Kategory starter
              </h6>
              <span class="text-secondary">
                Kelas yang bisa diakses secara gratis dan dapat dipelajari sebagai materi awal sebelum mengikuti kelas Premium.
              </span>
            </b-card>
          </div>
        </b-col>
      </b-row>
      <b-row class="mt-5 justify-content-center">
        <b-col v-for="item in 9" :key="item" cols="12" md="3" class="mb-5">
          <b-card no-body img-src="https://placekitten.com/380/200">
            <template #header>
              <div class="d-flex justify-content-between align-items-center">
                <div>
                  <h6>UI/UX Designer</h6>
                  <span class="text-secondary">Untuk All Levels</span>
                </div>
                <div>
                  <b-button class="btn-sm">
                    premium
                  </b-button>
                </div>
              </div>
            </template>
            <b-list-group flush>
              <b-list-group-item>
                <div class="d-flex justify-content-between">
                  <div>
                    <h6>Sertifkat</h6>
                  </div>
                  <div>
                    <h6>Konsultasi</h6>
                  </div>
                </div>
              </b-list-group-item>
              <b-list-group-item>
                <div class="d-flex justify-content-between">
                  <div>
                    <h6>Rp 478.000</h6>
                  </div>
                  <div>
                    <h6>4.9(465)</h6>
                  </div>
                </div>
              </b-list-group-item>
            </b-list-group>
            <b-card-footer>
              <div class="d-flex align-items-center">
                <b-avatar />
                <div class="ml-3">
                  <h6>Diko Mahendra</h6>
                  <span class="text-secondary">Frontend Engineer</span>
                </div>
              </div>
            </b-card-footer>
          </b-card>
        </b-col>
      </b-row>
    </b-container>
    <hr class="my-4">
    <b-container>
      <b-row align-v="center">
        <b-col cols="12" md="6">
          <b-row align-v="center">
            <b-col class="p-5">
              <b-img src="~/assets/images/ilustrator/how.png" fluid alt="Responsive image" />
            </b-col>
          </b-row>
        </b-col>
        <b-col cols="12" md="6">
          <h2 class="text-primary font-weight-bold">
            Bingung mulai dari mana
          </h2>
          <p class="text-secondary mt-3">
            Ikuti alur belajar terbaik yang telah <br>
            kami desain untuk kalian.
          </p>
          <base-button class="bg-info">
            LIHAT ALUR BELAJAR
          </base-button>
        </b-col>
      </b-row>
      <b-row>
        <b-col>
          <div>
            <div class="text-center">
              <b-img src="~/assets/images/icons/google.png" fluid width="200" />
              <h5>Reviews</h5>
            </div>
            <b-row class="my-5">
              <b-col v-for="item in 3" :key="item" class="d-flex justify-content-center">
                <b-card style="max-width: 20rem;" class="mb-4">
                  <b-card-text>
                    Some quick example text to build on the card title and make up the bulk of the card's content.
                  </b-card-text>
                  <hr>
                  <div class="d-flex align-items-center">
                    <b-avatar />
                    <div class="ml-3">
                      <h6>Diko Mahendra</h6>
                      <span class="text-secondary">Frontend Engineer</span>
                    </div>
                  </div>
                </b-card>
              </b-col>
              <b-col cols="12" class="text-center mt-5">
                <base-button class="bg-info">
                  Review Lainnya
                </base-button>
              </b-col>
            </b-row>
          </div>
        </b-col>
      </b-row>
    </b-container>
    <hr>
  </b-container>
</template>

<script>
export default {}
</script>
